Correspondents
Complete correspondent registration
Self-register as a correspondent using a valid invitation token.
POST
/
api
/
v1
/
auth
/
correspondents
/
invite
/
{token}
Complete correspondent registration
curl --request POST \
--url https://api.diginacape.co.ke/acl/api/v1/auth/correspondents/invite/{token} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone_number": "<string>",
"password": "<string>"
}
'import requests
url = "https://api.diginacape.co.ke/acl/api/v1/auth/correspondents/invite/{token}"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"country_code": "<string>",
"phone_number": "<string>",
"password": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
country_code: '<string>',
phone_number: '<string>',
password: '<string>'
})
};
fetch('https://api.diginacape.co.ke/acl/api/v1/auth/correspondents/invite/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"status": "<string>",
"date_joined": "2023-11-07T05:31:56Z"
}Authorizations
Enter your JWT token in the format: Bearer
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Validate the self-registration payload submitted by a correspondent.
Response
201 - application/json
Lightweight serializer for listing correspondent users.
Maximum string length:
254Maximum string length:
150Maximum string length:
150Maximum string length:
50Maximum string length:
20⌘I
Complete correspondent registration
